# Plutonium framework API: Plutonium/include/pu/ui/ui_Types.hpp File Reference

ui_Types.hpp File Reference
`#include <pu/pu_Include.hpp>`

Go to the source code of this file.

## Classes

struct | pu::ui::Color
struct | pu::ui::TouchPoint

## Namespaces

namespace | pu
namespace | pu::ui

## Enumerations

enum class | pu::ui::DefaultFontSize : u32 { pu::ui::Small , pu::ui::Medium , pu::ui::MediumLarge , pu::ui::Large , pu::ui::Count }

## Functions

std::string | pu::ui::MakeDefaultFontName (const u32 font_size)
constexpr u32 | pu::ui::GetDefaultFontSize (const DefaultFontSize kind)
std::string | pu::ui::GetDefaultFont (const DefaultFontSize kind)
static constexpr bool | pu::ui::TouchHitsRegion (const i32 touch_x, const i32 touch_y, const i32 region_x, const i32 region_y, const i32 region_w, const i32 region_h)

## Variables

static constexpr std::array< u32, static_cast< u32 >(DefaultFontSize::Count)> | pu::ui::DefaultFontSizes = { 18, 20, 25, 30 }
constexpr u64 | pu::ui::TouchPseudoKey = HidNpadButton_29